<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/FAQ/CentOS6</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/FAQ/CentOS6</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><p class="line867">
<h1 id="A.2BZwlRcw_CentOS_6_.2BdoSV7piY-">有关 CentOS 6 的问题</h1>
<span class="anchor" id="line-5"></span><p class="line867"><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#A.2BYhGPx1.2BAUil1KA_boot.iso_.2BZiBQz4.2FbiEx.2FUX7cW4mIxTACW4NTu06GVOqRzP8f-">我过往利用 boot.iso 映像进行网络安装。它去了哪里？</a></li><li>
<a href="#A.2BTjpPVWIRdoRO5Vkqf1F.2B3E4NgP2P0E9c.2FwyWZJdeYhF2e19VXnZSO2EPVC91KFuD.2Fx8-">为何我的以太网络不能运作，除非我登录并刻意启用它？</a></li><li>
<a href="#A.2BT0ZiEVPqYPNO5FuDj9BPXFPKYktSqF8PfxaPkZFNf25lh072-">但我只想令它运作及手动式编辑配置文件</a></li><li>
<a href="#A.2BTjpPVQ_CentOS-6_.2BYtJ.2B3VcoYhF2hA_i686_.2BWQR0BlZoTgpbiYjF.2Fx8-">为何 CentOS-6 拒绝在我的 i686 处理器上安装？</a></li><li>
<a href="#A.2BYhFZgk9VUFx1KA_IPv6.2B.2Fx8-">我如何停用 IPv6？</a></li><li>
<a href="#A.2BTjpPVWIRVyiPk1FlZ9BOKo9vTvZek3aE_GPG_.2BkdGUpWX2UfpzsJUZi.2B.2F.2FHw-">为何我在输入某个软件库的 GPG 金钥时出现错误？</a></li><li>
<a href="#A.2BTjpPVWIRTg2A.2FVcoYhF2hA_32_.2BT01RQw_CentOS_.2BTgpbiYjF_KVM.2B.2Fx8-">为何我不能在我的 32 位元 CentOS 上安装 KVM？</a></li><li>
<a href="#A.2BW4mIxWX2doRUBE4qkAmYeVMFVCtU6k6bf6R.2BxP8f-">安装时的各个选项包含哪些群组？</a></li><li>
<a href="#A.2BYhFZgk9VVyh8.2B37fTgqP0HUoTiRT8GY.2BeTpWaP8fZi9UJph7iYFbmGW5doSacVKoegtej.2F8f-">我如何在系统上运用两台显示器？是否须要官方的驱动程序？</a></li></ol></li></ol></div> <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h2 id="A.2BYhGPx1.2BAUil1KA_boot.iso_.2BZiBQz4.2FbiEx.2FUX7cW4mIxTACW4NTu06GVOqRzP8f-">1. 我过往利用 boot.iso 映像进行网络安装。它去了哪里？</h2>
<span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line874">由这个发行版本起、上游决定把 boot.iso 移出 images/ 这个目录并利用另一个独立的媒体来发行它。基于该映像颇大，我们亦决定同样做。网络安装磁盘的映像名为 netinstall.iso，它只收藏在 isos/ 这个目录，当中还有其它的安装映像。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="A.2BTjpPVWIRdoRO5Vkqf1F.2B3E4NgP2P0E9c.2FwyWZJdeYhF2e19VXnZSO2EPVC91KFuD.2Fx8-">2. 为何我的以太网络不能运作，除非我登录并刻意启用它？</h2>
<span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line874">……还有，为什么界面名称完全「逆转」以往惯例？这样做违反了 Unix「不更改预期结果」的原则。 <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line862">上游的缺省组态已改用 NetworkManager，而且界面缺省是不会被启用的（针对以太网来说是较难理解）。权宜之计就是在安装过程中，等待安装程序询问你的语系、键盘、基本安装或其它存储设备后，执行「检查设备」并显示「请为这台计算机命名……」的划面。这个昼面内有一粒「设置网络」的按钮。点击这个按钮会引导 NetworkManager。请选择名为 System eth0 的以太网络连接并编辑它的设置。假如你选用「自动连接」的选项，网络连接在日后开机时便会被引导。你也可以在安装完成后通过 NetworkManager（「系统；选项；网络连接」或右按通知本地内的网络小图示，选择「编辑连接……」）来作出这个改动。 <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line862">假如你不采用 NetworkManager，你可以通过编辑网络界面的概述文件（正常为 <tt>/etc/sysconfig/network-scripts/ifcfg-eth0</tt>）并把 <tt>ONBOOT=no</tt> 改为 <tt>ONBOOT=yes</tt> 来达到相同効果。某些采用 DHCP 的安装还需要额外一行：<tt>BOOTPROTO=dhcp</tt>；固定 IP 的安装当然需要：<tt>BOOTPROTO=static</tt> <span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><p class="line862">假设界面是 <tt>eth0</tt>，你可以（通过 root 的身份）这样编辑 <tt>ONBOOT</tt>： <span class="anchor" id="line-20"></span>{{{ # cd /etc/sysconfig/network-scripts/ <span class="anchor" id="line-21"></span># sed -i -e 's@^ONBOOT="no@ONBOOT="yes@' ifcfg-eth0 <span class="anchor" id="line-22"></span>}}} <span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><p class="line862">关于「更改预期结果」：上述例子采用「传统」的网络设备，<strong>eth0</strong>。其它设备名称亦可行，例如：<strong>em1</strong>、<strong>p3p1</strong> 等。不论你喜欢与否，这个为界面命名的改动是 Linux 的未来趋势。它已包含在上游的「测试发行版本」作为<a class="http" href="http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming">预览</a>。此外请参阅：<a class="http" href="http://linux.dell.com/biosdevname/">Dell 的介绍</a>及内部员工的<a class="http" href="http://domsch.com/blog/?tag=biosdevname">网志</a>。 <span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line867">
<h2 id="A.2BT0ZiEVPqYPNO5FuDj9BPXFPKYktSqF8PfxaPkZFNf25lh072-">3. 但我只想令它运作及手动式编辑配置文件</h2>
<span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><p class="line862">很多安装无须 <strong>NetworkManager</strong> 工具的复杂性，而采用人手编辑的配置文件。以下是一个 <strong>非 NetworkManager</strong> 的 DHCP 界面设置样例：<span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><span class="anchor" id="line-33"></span><span class="anchor" id="line-34"></span><span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><pre><span class="anchor" id="line-1"></span>[root@example ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
<span class="anchor" id="line-2"></span>DEVICE="eth0"
<span class="anchor" id="line-3"></span>BOOTPROTO=dhcp
<span class="anchor" id="line-4"></span>NM_CONTROLLED="no"
<span class="anchor" id="line-5"></span>PERSISTENT_DHCLIENT=1
<span class="anchor" id="line-6"></span>ONBOOT="yes"
<span class="anchor" id="line-7"></span>TYPE=Ethernet
<span class="anchor" id="line-8"></span>DEFROUTE=yes
<span class="anchor" id="line-9"></span>PEERDNS=yes
<span class="anchor" id="line-10"></span>PEERROUTES=yes
<span class="anchor" id="line-11"></span>IPV4_FAILURE_FATAL=yes
<span class="anchor" id="line-12"></span>IPV6INIT=yes
<span class="anchor" id="line-13"></span>IPV6_AUTOCONF=yes
<span class="anchor" id="line-14"></span>IPV6_DEFROUTE=yes
<span class="anchor" id="line-15"></span>IPV6_PEERDNS=yes
<span class="anchor" id="line-16"></span>IPV6_PEERROUTES=yes
<span class="anchor" id="line-17"></span>IPV6_FAILURE_FATAL=no
<span class="anchor" id="line-18"></span>NAME="eth0"
<span class="anchor" id="line-19"></span>[root@none ~]#</pre><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><p class="line862">以及一个「静态配置」配置文件的样例：<span class="anchor" id="line-51"></span><span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span><span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><pre><span class="anchor" id="line-1-1"></span>[username@hostname]$ cat /etc/sysconfig/network-scripts/ifcfg-eth0
<span class="anchor" id="line-2-1"></span>DEVICE="eth0"
<span class="anchor" id="line-3-1"></span>HWADDR="00:21:70:10:7E:CD"
<span class="anchor" id="line-4-1"></span>NM_CONTROLLED="no"
<span class="anchor" id="line-5-1"></span>ONBOOT="yes"
<span class="anchor" id="line-6-1"></span>BOOTPROTO=static
<span class="anchor" id="line-7-1"></span># BOOTPROTO=dhcp
<span class="anchor" id="line-8-1"></span>IPADDR=10.16.1.106
<span class="anchor" id="line-9-1"></span>NETMASK=255.255.255.0
<span class="anchor" id="line-10-1"></span>#
<span class="anchor" id="line-11-1"></span># the GATEWAY is sometimes in: /etc/sysconfig/network
<span class="anchor" id="line-12-1"></span>GATEWAY=10.16.1.1</pre><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><p class="line862">此外，通用项目如主机名称及 DNS 服务器可选择性地放置在：<span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><span class="anchor" id="line-70"></span><span class="anchor" id="line-71"></span><span class="anchor" id="line-72"></span><pre><span class="anchor" id="line-1-2"></span>[username@hostname]$ cat /etc/sysconfig/network
<span class="anchor" id="line-2-2"></span>HOSTNAME=acme.example.com
<span class="anchor" id="line-3-2"></span>DNS1=10.16.1.112
<span class="anchor" id="line-4-2"></span>DNS2=8.8.8.8
<span class="anchor" id="line-5-2"></span>## DNS2=76.242.0.28
<span class="anchor" id="line-6-2"></span>SEARCH=example.com</pre><span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><p class="line862">这些信息是「选择性」的，因为一台 DHCP 服务器能派发这些数值。当一个良好部署的 DNS 环境存在时，<strong>initscripts</strong> 能够从 PTR 等记录找出主机名称等信息，但有些用户需要以人手管理这些细节。要取得更多信息，你可用以下方式列出整全的 initscripts 文档：<span class="anchor" id="line-75"></span><pre><span class="anchor" id="line-1-3"></span>rpm -qd initscripts </pre><span class="anchor" id="line-76"></span><p class="line862">不论该环境是否安装了 <strong>man</strong> 阅读说明手册的组件及所依赖的组件。 <span class="anchor" id="line-77"></span><span class="anchor" id="line-78"></span><p class="line867">
<h2 id="A.2BTjpPVQ_CentOS-6_.2BYtJ.2B3VcoYhF2hA_i686_.2BWQR0BlZoTgpbiYjF.2Fx8-">4. 为何 CentOS-6 拒绝在我的 i686 处理器上安装？</h2>
<span class="anchor" id="line-79"></span><span class="anchor" id="line-80"></span><p class="line874">上游决定了不支持非 PAE 的处理器。如果你的处理器不支持 PAE，执行安装程序时你将会看见以下错误： <span class="anchor" id="line-81"></span><span class="anchor" id="line-82"></span><ul><li>This kernel requires the following features present on the CPU pae cx8 <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span></li></ul><p class="line874">你仍可安装 CentOS-5 但将会不能运行 CentOS-6。 <span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line867">
<h2 id="A.2BYhFZgk9VUFx1KA_IPv6.2B.2Fx8-">5. 我如何停用 IPv6？</h2>
<span class="anchor" id="line-87"></span><span class="anchor" id="line-88"></span><p class="line862">上游雇员 Daniel Walsh <a class="https" href="https://bugzilla.redhat.com/show_bug.cgi?id=641836">推荐</a>不要停用 ipv6 模块，因为这样会导致 SELinux 及其它组件出现问题。你可改而在 /etc/sysctl.conf 加入： <span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><span class="anchor" id="line-91"></span><span class="anchor" id="line-92"></span><pre><span class="anchor" id="line-1-4"></span>net.ipv6.conf.all.disable_ipv6 = 1
<span class="anchor" id="line-2-3"></span>net.ipv6.conf.default.disable_ipv6 = 1</pre><span class="anchor" id="line-93"></span><span class="anchor" id="line-94"></span><p class="line874">要在运作中的系统停用它： <span class="anchor" id="line-95"></span><span class="anchor" id="line-96"></span><span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span><pre><span class="anchor" id="line-1-5"></span>echo 1 &gt; /proc/sys/net/ipv6/conf/all/disable_ipv6
<span class="anchor" id="line-2-4"></span>echo 1 &gt; /proc/sys/net/ipv6/conf/default/disable_ipv6</pre><span class="anchor" id="line-99"></span><p class="line874">或 <span class="anchor" id="line-100"></span><span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><span class="anchor" id="line-103"></span><pre><span class="anchor" id="line-1-6"></span>sysctl -w net.ipv6.conf.all.disable_ipv6=1
<span class="anchor" id="line-2-5"></span>sysctl -w net.ipv6.conf.default.disable_ipv6=1</pre><span class="anchor" id="line-104"></span><p class="line867"><strong>附加备注 #1</strong>：要是你在停用 IPv6 的系统上转接 X 时遇到问题，请编辑 <strong>/etc/ssh/sshd_config</strong> 及作出以下一组改动： <span class="anchor" id="line-105"></span><span class="anchor" id="line-106"></span><p class="line874">(1) 更改这一行 <span class="anchor" id="line-107"></span><span class="anchor" id="line-108"></span><span class="anchor" id="line-109"></span><pre><span class="anchor" id="line-1-7"></span>#AddressFamily any</pre><span class="anchor" id="line-110"></span><p class="line874">为 <span class="anchor" id="line-111"></span><span class="anchor" id="line-112"></span><span class="anchor" id="line-113"></span><pre><span class="anchor" id="line-1-8"></span>AddressFamily inet</pre><span class="anchor" id="line-114"></span><p class="line874">（inet 指定 ipv4；inet6 指定 ipv6） <span class="anchor" id="line-115"></span><span class="anchor" id="line-116"></span><p class="line874">或者 <span class="anchor" id="line-117"></span><span class="anchor" id="line-118"></span><p class="line874">(2) 删除这行行首的井号（#） <span class="anchor" id="line-119"></span><span class="anchor" id="line-120"></span><span class="anchor" id="line-121"></span><pre><span class="anchor" id="line-1-9"></span>#ListenAddress 0.0.0.0</pre><span class="anchor" id="line-122"></span><p class="line874">然后重新引导 ssh。 <span class="anchor" id="line-123"></span><span class="anchor" id="line-124"></span><p class="line867"><strong>附加备注 #2</strong>：要是你在停用 IPv6 的系统上引导 postfix 时遇到问题，你可选择 <span class="anchor" id="line-125"></span><span class="anchor" id="line-126"></span><p class="line874">(1) 编辑 /etc/postfix/main.cf 并备注掉 localhost 部份的设置及采用 ipv4 回路。 <span class="anchor" id="line-127"></span><span class="anchor" id="line-128"></span><span class="anchor" id="line-129"></span><span class="anchor" id="line-130"></span><pre><span class="anchor" id="line-1-10"></span>#inet_interfaces = localhost
<span class="anchor" id="line-2-6"></span>inet_interfaces = 127.0.0.1</pre><span class="anchor" id="line-131"></span><span class="anchor" id="line-132"></span><p class="line874">或 <span class="anchor" id="line-133"></span><span class="anchor" id="line-134"></span><p class="line874">(2) 从 /etc/hosts 取掉 ipv6 的 localhost。 <span class="anchor" id="line-135"></span><span class="anchor" id="line-136"></span><p class="line867"><strong>附加备注 #3 </strong>：如要停用　RPCBIND ipv6（rpcbind、rpc.mountd、prc.statd），请在 /etc/netconfig 备注掉 udp6 及 tcp6 行： <span class="anchor" id="line-137"></span><span class="anchor" id="line-138"></span><p class="line867"><span class="anchor" id="line-139"></span><span class="anchor" id="line-140"></span><span class="anchor" id="line-141"></span><span class="anchor" id="line-142"></span><span class="anchor" id="line-143"></span><span class="anchor" id="line-144"></span><span class="anchor" id="line-145"></span><span class="anchor" id="line-146"></span><pre><span class="anchor" id="line-1-11"></span>udp tpi_clts v inet udp - -
<span class="anchor" id="line-2-7"></span>tcp tpi_cots_ord v inet tcp - -
<span class="anchor" id="line-3-3"></span>#udp6 tpi_clts v inet6 udp - -
<span class="anchor" id="line-4-3"></span>#tcp6 tpi_cots_ord v inet6 tcp - -
<span class="anchor" id="line-5-3"></span>rawip tpi_raw - inet - - -
<span class="anchor" id="line-6-3"></span>local tpi_cots_ord - loopback - - -
<span class="anchor" id="line-7-2"></span>unix tpi_cots_ord - loopback - - -</pre><span class="anchor" id="line-147"></span><span class="anchor" id="line-148"></span><p class="line867">
<h2 id="A.2BTjpPVWIRVyiPk1FlZ9BOKo9vTvZek3aE_GPG_.2BkdGUpWX2UfpzsJUZi.2B.2F.2FHw-">6. 为何我在输入某个软件库的 GPG 金钥时出现错误？</h2>
<span class="anchor" id="line-149"></span><span class="anchor" id="line-150"></span><p class="line862">很多设置第三方软件库的指引都包括以 <strong>rpm --import ...</strong> 输入 GPG 金钥。如何你遇到以下错误： <span class="anchor" id="line-151"></span><span class="anchor" id="line-152"></span><pre><span class="anchor" id="line-1-12"></span>error: http://apt.sw.be/RPM-GPG-KEY.dag.txt: key 1 import failed.</pre><span class="anchor" id="line-153"></span><span class="anchor" id="line-154"></span><p class="line874">你可以忽略它，因为该金钥已经被输入。你可执行以下指令来确定： <span class="anchor" id="line-155"></span><span class="anchor" id="line-156"></span><pre><span class="anchor" id="line-1-13"></span>rpm -q --qf "%{NAME}-%{VERSION}-%{RELEASE} \n %{SUMMARY} \n" gpg-pubkey</pre><span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><p class="line867">
<h2 id="A.2BTjpPVWIRTg2A.2FVcoYhF2hA_32_.2BT01RQw_CentOS_.2BTgpbiYjF_KVM.2B.2Fx8-">7. 为何我不能在我的 32 位元 CentOS 上安装 KVM？</h2>
<span class="anchor" id="line-159"></span><span class="anchor" id="line-160"></span><p class="line874">上游只为 64 位元（x86_64）提供 KVM 支持，因此 CentOS 的支持亦相同。你必需选用 64 位元的安装才能使用 KVM。 <span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><p class="line867">
<h2 id="A.2BW4mIxWX2doRUBE4qkAmYeVMFVCtU6k6bf6R.2BxP8f-">8. 安装时的各个选项包含哪些群组？</h2>
<span class="anchor" id="line-163"></span><span class="anchor" id="line-164"></span><p class="line874">根据 images/install.img 上的 /usr/lib/anaconda/installclasses/rhel.py，以下选项可供选择： <span class="anchor" id="line-165"></span><span class="anchor" id="line-166"></span><p class="line867"><strong>Desktop</strong>: base, core, debugging, directory-client, java-platform, network-file-system-client, server-platform, fonts, print-client, basic-desktop, desktop-debugging, desktop-platform, general-desktop, graphical-admin-tools, input-methods, legacy-x, x11, internet-applications, internet-browser, office-suite, remote-desktop-clients <span class="anchor" id="line-167"></span><span class="anchor" id="line-168"></span><p class="line867"><strong>Minimal Desktop</strong>: base, core, debugging, directory-client, java-platform, network-file-system-client, server-platform, fonts, print-client, basic-desktop, desktop-debugging, desktop-platform, input-methods, legacy-x, x11, internet-browser, remote-desktop-clients <span class="anchor" id="line-169"></span><span class="anchor" id="line-170"></span><p class="line867"><strong>Minimal</strong>: core <span class="anchor" id="line-171"></span><span class="anchor" id="line-172"></span><p class="line867"><strong>Basic Server</strong>: base, console-internet, core, debugging, directory-client, hardware-monitoring, java-platform, large-systems, network-file-system-client, performance, perl-runtime, server-platform <span class="anchor" id="line-173"></span><span class="anchor" id="line-174"></span><p class="line867"><strong>Database Server</strong>: base, console-internet, core, debugging, directory-client, hardware-monitoring, java-platform, large-systems, network-file-system-client, performance, perl-runtime, server-platform, mysql-client, mysql, postgresql-client, postgresql, system-admin-tools <span class="anchor" id="line-175"></span><span class="anchor" id="line-176"></span><p class="line867"><strong>Web Server</strong>: base, console-internet, core, debugging, directory-client, java-platform, network-file-system-client, performance, perl-runtime, server-platform, web-server, web-servlet, php, turbogears, mysql-client, postgresql-client <span class="anchor" id="line-177"></span><span class="anchor" id="line-178"></span><p class="line867"><strong>Virtual Host</strong>: base, console-internet, core, debugging, directory-client, hardware-monitoring, java-platform, large-systems, network-file-system-client, performance, perl-runtime, server-platform, virtualization, virtualization-client, virtualization-platform <span class="anchor" id="line-179"></span><span class="anchor" id="line-180"></span><p class="line867"><strong>Software Development Workstation</strong>: base, core, debugging, directory-client, java-platform, network-file-system-client, performance, perl-runtime, server-platform, fonts, print-client, basic-desktop, desktop-debugging, desktop-platform, general-desktop, graphical-admin-tools, input-methods, legacy-x, x11, internet-browser, graphics, emacs, tex, remote-desktop-clients, virtualization, virtualization-client, virtualization-platform, desktop-platform-devel, development, eclipse, server-platform-devel, technical-writing, additional-devel <span class="anchor" id="line-181"></span><span class="anchor" id="line-182"></span><p class="line874">你可如此查看每组的内容 <span class="anchor" id="line-183"></span><span class="anchor" id="line-184"></span><span class="anchor" id="line-185"></span><pre><span class="anchor" id="line-1-14"></span>yum groupinfo &lt;groupname&gt;</pre><span class="anchor" id="line-186"></span><span class="anchor" id="line-187"></span><p class="line867">
<h2 id="A.2BYhFZgk9VVyh8.2B37fTgqP0HUoTiRT8GY.2BeTpWaP8fZi9UJph7iYFbmGW5doSacVKoegtej.2F8f-">9. 我如何在系统上运用两台显示器？是否须要官方的驱动程序？</h2>
<span class="anchor" id="line-188"></span><span class="anchor" id="line-189"></span><p class="line874">有异于普遍的错误理解，双显示器设置在安装完成后已获支持，而且不须要官方的驱动程序。以下是一个达至此效果的简易教程。 <span class="anchor" id="line-190"></span><ol type="1"><li>接驳你的显示器及打开它们的电源。 <span class="anchor" id="line-191"></span></li><li>我们必须先确定已知的信息。为此，请执行： <span class="anchor" id="line-192"></span><span class="anchor" id="line-193"></span><pre><span class="anchor" id="line-1-15"></span> xrandr -q </pre><span class="anchor" id="line-194"></span>你会看见类似以下的输出： <span class="anchor" id="line-195"></span><span class="anchor" id="line-196"></span><span class="anchor" id="line-197"></span><span class="anchor" id="line-198"></span><span class="anchor" id="line-199"></span><span class="anchor" id="line-200"></span><span class="anchor" id="line-201"></span><span class="anchor" id="line-202"></span><span class="anchor" id="line-203"></span><span class="anchor" id="line-204"></span><span class="anchor" id="line-205"></span><span class="anchor" id="line-206"></span><span class="anchor" id="line-207"></span><span class="anchor" id="line-208"></span><span class="anchor" id="line-209"></span><span class="anchor" id="line-210"></span><span class="anchor" id="line-211"></span><span class="anchor" id="line-212"></span><span class="anchor" id="line-213"></span><span class="anchor" id="line-214"></span><span class="anchor" id="line-215"></span><span class="anchor" id="line-216"></span><span class="anchor" id="line-217"></span><span class="anchor" id="line-218"></span><span class="anchor" id="line-219"></span><span class="anchor" id="line-220"></span><span class="anchor" id="line-221"></span><span class="anchor" id="line-222"></span><pre><span class="anchor" id="line-1-16"></span>[wolfy@wolfy ~]$ xrandr -q
<span class="anchor" id="line-2-8"></span>Screen 0: minimum 320 x 200, current 2560 x 1024, maximum 2560 x 2560
<span class="anchor" id="line-3-4"></span> DFP1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
<span class="anchor" id="line-4-4"></span>   1280x1024 60.0*+ 75.0
<span class="anchor" id="line-5-4"></span>   1152x648 60.0 +
<span class="anchor" id="line-6-4"></span>   1280x960 75.0 60.0
<span class="anchor" id="line-7-3"></span>   1280x800 75.0 60.0
<span class="anchor" id="line-8-2"></span>   1152x864 75.0 60.0
<span class="anchor" id="line-9-2"></span>   1280x768 74.9 59.9
<span class="anchor" id="line-10-2"></span>   1280x720 60.0
<span class="anchor" id="line-11-2"></span>   1024x768 75.0 70.1 60.0
<span class="anchor" id="line-12-2"></span>   800x600 72.2 75.0 70.0 60.3 56.2
<span class="anchor" id="line-13-1"></span>   720x480 60.0
<span class="anchor" id="line-14-1"></span>   640x480 75.0 72.8 60.0
<span class="anchor" id="line-15-1"></span> DFP2 disconnected (normal left inverted right x axis y axis)
<span class="anchor" id="line-16-1"></span> CRT1 connected 1280x1024+1280+0 (normal left inverted right x axis y axis) 338mm x 270mm
<span class="anchor" id="line-17-1"></span>   1280x1024 60.0 + 75.0*
<span class="anchor" id="line-18-1"></span>   1280x960 75.0 60.0
<span class="anchor" id="line-19-1"></span>   1280x800 75.0 60.0
<span class="anchor" id="line-20"></span>   1152x864 75.0 60.0
<span class="anchor" id="line-21"></span>   1280x768 74.9 59.9
<span class="anchor" id="line-22"></span>   1280x720 60.0
<span class="anchor" id="line-23"></span>   1024x768 75.0 70.1 60.0
<span class="anchor" id="line-24"></span>   800x600 72.2 75.0 70.0 60.3 56.2
<span class="anchor" id="line-25"></span>   720x480 60.0
<span class="anchor" id="line-26"></span>   640x480 75.0 72.8 60.0</pre><span class="anchor" id="line-223"></span>在上述例子，重点是我们有一台显示器连接至 DFP1 数码界面并支持 1280x1024 解像度，及一台类比显示器连接至 CRT1 界面而且也支持 1280x1024 解像度。其它常见界面名称包括 VGA、DVI、HDMI 及 LVDS。（这些名称视乎输出设备及视频驱动程序。）这例子中的两台显示器拥有相同的最高解像度纯属巧合。 <span class="anchor" id="line-224"></span></li><li>利用上一步所取得的信息，再次执行 xrandr，要求它把信息按你的首选放置在两台划面上： <span class="anchor" id="line-225"></span><span class="anchor" id="line-226"></span><pre><span class="anchor" id="line-1-17"></span>xrandr --output DFP1 --auto --left-of CRT1 </pre><span class="anchor" id="line-227"></span>这样你便能为两台显示器选用首选的解像度，及把类比显示器（在此例子中是 CRT1）摆放在数码显示器（DFP1）的右边。通过 xrandr 做的改动都会即时生效。每台显示器的输出都是独立操控的，因此解像度及频率都不必相同。（这个功能非常好用，尤其是当你的手提计算机连接着一台大型显示器，或两台显示器拥有不同解像度。） <span class="anchor" id="line-228"></span><span class="anchor" id="line-229"></span></li></ol><p class="line874">xrandr 的说明页及互联网上众多的教程均能展示 xrandr 的强大功能，因此我们强烈推荐你善用这些资源。 <span class="anchor" id="line-230"></span><span class="anchor" id="line-231"></span><p class="line867"><small>Translation of revision 34</small> <span class="anchor" id="line-232"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
